# Custom Fields Custom Fields ## Gets all of the custom fields in the system. - [GET /customFields/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-fields/listcustomfields.md): This method will scan all custom fields and and return them to the caller. ## Creates a new custom field record that does not already exist. - [POST /customFields/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-fields/createcustomfield.md): This method will auto-generate an ID and create a new custom field. If an ID is specified for the custom field, an error will be thrown. ## Execute Batch Operations - [POST /customFields/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-fields/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified service - [GET /customFields/{tenantId}/service/{service}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-fields/listfieldsbyservice.md): Returns a list of records with the specified service ## Returns a custom field from the system by its ID. - [DELETE /customFields/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-fields/deletecustomfield.md): This method will delete a custom field with the specified ID. ## Returns a custom field from the system by its ID. - [GET /customFields/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-fields/getcustomfield.md): This method will look up a custom field by the specified ID and return it back. ## Partially updates a custom field with the specified ID. - [PATCH /customFields/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-fields/patchcustomfield.md): This method will patch an existing custom field with the specified ID, using the HTTP PATCH specification. ## Updates a custom field with the specified ID. - [PUT /customFields/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-fields/updatecustomfield.md): This method will update an existing custom field with the specified ID.